function [vOut, iSort] = approx_unique(vIn, tol)
if isempty(vIn)
    vOut = [];
    iSort = [];
    return
end
[vOut, iSort] = unique(vIn);
bDouble = abs(diff(vOut))>tol;
vOut = vOut(logical([1 bDouble]));
iSort = iSort(logical([1 bDouble]));
