clear
oGd.nSources = 100;
oGd.nTestingPoints = round(oGd.nSources*1.5);
oGd.alphaIn = 1;
oGd.alphaOut = 1;
R = 2000e-9;
mod_amp = 0.3;
n = 4;
curveArray = primitive('cookie', R, mod_amp, n);

oGd.curveArray = curveArray;
oGd.sdArray = compute_sd_array(curveArray);
oGd.nSd = length(oGd.sdArray);
% set material parameters
oGd.sdArray(1).Er = 1;
oGd.sdArray(2).Er = 'sellmeier';
oGd.offsetX = 0;
oGd.offsetY = 0;
oGd = orderfields(oGd);
save cookie.gd oGd
