function beta = estimate_beta(x, y)
mu = mean(x);
sigma = std(x);
x_norm = (x-mu)/sigma;
p = polyfit(x_norm, y.^2, 2);
beta_i_sc = -sqrt(p(3)/p(1)-(p(2)/(2*p(1)))^2);
beta_r_sc = -p(2)/(2*p(1));
beta = [beta_r_sc*sigma+mu, beta_i_sc*sigma];