function out = in_subdomain(mX, mY, sd)
if isfield(sd, 'upper')
    if sd.upper
        out = mY>=0;
    else
        out = mY<0;
    end
    return
end
if isempty(sd.insideCurve)
    out = ones(size(mX));
else
    out = in_shape(mX, mY, sd.insideCurve.xc, sd.insideCurve.yc, sd.insideCurve);
end
for iCurve = 1:length(sd.outsideCurveArray)
    curve = sd.outsideCurveArray(iCurve);
    out = out & ~in_shape(mX, mY, curve.xc, curve.yc, curve);
end
