clear
oGd.nSources = 20;
oGd.nTestingPoints = 30;
oGd.alphaIn = 0.5;
oGd.alphaOut = 0.5;
R = 1; %[m]
ell = 1.05;
curveArray = primitive('ellipse', R, ell);
oGd.curveArray = curveArray;
oGd.sdArray = compute_sd_array(curveArray);
oGd.nSd = length(oGd.sdArray);

% set material parameters
oGd.sdArray(1).Er = 1; % background material
oGd.sdArray(2).Er = 2; % fiber material
oGd.offsetX = 0;
oGd.offsetY = 0;
oGd = orderfields(oGd);
save almost_circular.gd oGd
