function out = parse_recent(recent)
ind = 2;
out = [];
while ind < size(recent,1)-1
    [dummy, rem] = strtok(recent(ind,:));
    [dummy, rem] = strtok(rem);
    lambda = str2double(strtok(rem));
    ind = ind + 1;
    while recent(ind,1) ~= '_'
        [dummy, rem] = strtok(recent(ind,:));
        [neff, rem] = strtok(rem);
        neff = str2double(neff);
        if ~isreal(neff)
            [sComplex, rem] = strtok(rem);
            Complex = strcmpi(sComplex, '(improper)') +1;
        else
            Complex = 0;
        end
        [sDeg, rem_maybe] = strtok(rem);
        if isnan(str2double(sDeg))
            rem = rem_maybe;
        end
        [err, rem] = strtok(rem);
        err = str2double(err);
        out(end+1).lambda = lambda;
        out(end).neff = neff;
        out(end).err = err;
        out(end).complex = Complex;
        ind = ind + 1;
    end
    ind = ind + 2;
end